# PloneSmoothGallery a new content type for easy creating Page with images.
# 
# Autor: Norbert M Haigermoser <haigermoser@web.de>
# License: see LICENSE.txt
#
"""

"""
__author__  = 'Norbert M Haigermoser <haigermoser@web.de>'
__docformat__ = 'restructuredtext'

from types import TupleType
try:
  from Products.LinguaPlone.public import *
except ImportError:
  #no multilingual support!
  from Products.Archetypes.public import *
from Products.CMFCore.CMFCorePermissions import View, ManageProperties
from Products.CMFCore.utils import getToolByName
from Products.ATContentTypes.content.document import ATDocument
from Products.ATContentTypes.content.document import finalizeATCTSchema
from Products.CMFPlone.interfaces.NonStructuralFolder import INonStructuralFolder

from Products.PloneSmoothGallery.interfaces import ISmoothGallery
from Products.PloneSmoothGallery.schemata.SSmoothGallery import SSmoothGallery
from config import PROJECTNAME


class SmoothGallery(OrderedBaseFolder, ATDocument):
        """
        SmoothGallery is a Page which can contain ATImage objects.
        """
        schema = SSmoothGallery

        content_icon    = 'smoothgallery_icon.gif'
        meta_type       = 'PloneSmoothGallery'
        portal_type     = 'SmoothGallery'
        archetype_name  = 'SmoothGallery'
        default_view    = 'smoothgallery_view'
        immediate_view  = 'smoothgallery_view'

        typeDescription= 'A simple image slideshow.'
        typeDescMsgId  = 'description_edit_smoothgallery'
        filter_content_types = 1
        global_allow = 1  # allow/disallow creation outside of Container
        allowed_content_types     = ('Image','ATImage')
        _at_rename_after_creation = True
        __implements__ = OrderedBaseFolder.__implements__ + ATDocument.__implements__
        actions = ATDocument.actions
        
        # ---  methods  ---
        
        def canSetDefaultPage(self):
            return False
        #--------------------
        
        # enable FTP/WebDAV and friends
        PUT = ATDocument.PUT
        

registerType(SmoothGallery, PROJECTNAME)


